Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359784 - [USM] seeing a "SSH Error: Permission denied" while creating a ubuntu cluster using USM
Summary: [USM] seeing a "SSH Error: Permission denied" while creating a ubuntu cluster...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: documentation
Version: 2
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
: 2
Assignee: Aron Gunn
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 12:46 UTC by Tejas
Modified: 2018-11-19 05:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 05:31:52 UTC


Attachments (Terms of Use)
screenshot (deleted)
2016-07-25 12:46 UTC, Tejas
no flags Details
skyring log (deleted)
2016-07-25 12:47 UTC, Tejas
no flags Details

Description Tejas 2016-07-25 12:46:45 UTC
Created attachment 1183786 [details]
screenshot

Description of problem:
When creating a ubuntu cluster using USM, I am seeing a permission denied issue.
here are the docs I have foolowed:

https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/installation-guide-for-ubuntu/#installing_and_configuring_the_red_hat_storage_console_agent

https://access.qa.redhat.com/documentation/en/red-hat-storage-console/2.0/red-hat-storage-console-20-quick-start-guide/


Version-Release number of selected component (if applicable):
root@magna006 ~]# rpm -qa | grep ceph
ceph-ansible-1.0.5-31.el7scon.noarch
mod_fastcgi-2.4.7-1.ceph.el7.x86_64
iozone-3.424-2_ceph.el7.x86_64
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.36-1.el7scon.x86_64



How reproducible:
Always

Steps to Reproduce:
1. Install USM on a RHEL node
2. Setup agent and configyure salt on ubuntu nodes
3. Start create cluster


Additional info:
Setup:
USM : magna006
Nodes: magna009 magna028 magna031
magna032 magna035 magna040

I have attached the skyring log and a screen shot of the issue


2016-07-25T12:32:53.961Z INFO     api.go:108 installNode] admin:bd8f4490-ba11-47e1-8c6b-e39e3112b340-Started installation on node :magna040.ceph.redhat.com. TaskId: 21ce6fec-f01c-4b34-85fb-97d143c743b8. Request Data: map[redhat_storage:true hosts:[magna040.ceph.redhat.com]]. Route: http://localhost:8181/api/osd/install
2016-07-25T12:33:03.969Z ERROR    api.go:253 syncRequestStatus] admin:bd8f4490-ba11-47e1-8c6b-e39e3112b340-Error while installing-packages/configuring-nodes. stdout:
PLAY [mons] *******************************************************************
skipping: no hosts matched

PLAY [agents] *****************************************************************
skipping: no hosts matched

PLAY [osds] *******************************************************************

GATHERING FACTS ***************************************************************
fatal: [magna040.ceph.redhat.com] => SSH Error: Permission denied (publickey,password).
    while connecting to 10.8.128.40:22
It is sometimes useful to re-run the command using -vvvv, which prints SSH debug output to help diagnose the issue.

TASK: [ceph.ceph-common | make sure an installation origin was chosen] ********
FATAL: no hosts matched or all hosts have already failed -- aborting


PLAY RECAP ********************************************************************
           to retry, use: --limit @/var/lib/ceph-installer/site.sample.retry

magna040.ceph.redhat.com   : ok=0    changed=0    unreachable=1    failed=0

Comment 2 Tejas 2016-07-25 12:47:28 UTC
Created attachment 1183787 [details]
skyring log

Comment 3 Nishanth Thomas 2016-07-26 12:10:32 UTC
This looks more of a documentation issue.Needs to be taken care by doc team

Comment 8 Nishanth Thomas 2016-08-01 09:41:58 UTC
As daniel mentioned, the doc must be updated with latest steps

Comment 12 Tejas 2016-08-04 09:50:25 UTC
Doc looks good to me.
Moving to Verified.


Note You need to log in before you can comment on or make changes to this bug.